﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'http://download.pragmaticworks.com/release/2017.2/TaskFactory_2017.2.4.502.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = 'BB65A0848B80D534890AD798150C4556F1182CCCA67C991CF13140CF117B94F3'
  checksumType = 'sha256'
  checksum64 = 'QkI2NUEwODQ4QjgwRDUzNDg5MEFENzk4MTUwQzQ1NTZGMTE4MkNDQ0E2N0M5OTFDRjEzMTQwQ0YxMTdCOTRGMw=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
